package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 * 
 * @author tsimao
 * 
 */
public class V8_5_To_V8_6 extends AbstractUpdate
{
	public V8_5_To_V8_6()
	{
		super(8.5,8.6,"Adicionado campo 'activo' a TrabalhadoresProcesso\n"+
				"Adicionada observacao a Prestadores\n"+
				"Adicionado BI a Trabalhadores\n");
	}

	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = new com.evolute.utils.sql.Update( "ALTER TABLE trabalhadores_processo ADD COLUMN activo char default 'y';"
				+ "ALTER TABLE prestadores ADD COLUMN observacoes character varying(65535);"
				+ "ALTER TABLE trabalhadores ADD COLUMN bi character varying(255);");
		getExecuter().executeQuery( update );
	}
	
}
